post
https://sandbox.saner.secpod.com/AncorWebService/perform
Users can use this method to upload a URL directly to the server and install later. The ‘filename’ field accepts a URL in an encoded format.
| Key | Meaning | Mandatory | Data Type |
|---|---|---|---|
| filename | URL of the software in encoded format | Yes | string |
| name | Name of the software | Yes | string |
| family | Operating system family (e.g., windows) | No | string |
| version | Software version | No | string |
| architecture | System architecture (e.g., x86) | No | string |
| category | Software category | No | string |
| installoption | Installation options/arguments | No | string |
| publisher | Software publisher name | No | string |
| description | Description of the software | No | string |
| accountid | Account identifier | Yes | string |
Python SDK code
Install:
pip install secpod-saner-sdkCall this endpoint:
from saner.cvem import CvemClient
client = CvemClient(
api_key="<YOUR_API_KEY>",
accountid="<YOUR_ACCOUNT_ID>",
base_url="https://saner.secpod.com"
)
response=client.Endpoint.uploadSoftwareUrl(
filename="https://sbp.enterprisedb.com/getfile.jsp?fileid=1258649",
name="test",
accountid="Demo Account"
)
print(response)
client.close()Requires Python 3.9 or later.